import { EditorView } from '@codemirror/view';
import type { AST } from 'wikiparser-node/base';
import type { editor } from 'monaco-editor';
declare type Ranges = [number, number][];
declare type Tree = Promise<AST> & {
    docChanged?: boolean;
};
export declare const trees: WeakMap<EditorView | editor.ITextModel, Tree>;
/**
 * 异步查找注释的内容
 * @param view
 * @param target 目标名称
 * @param all 是否查找所有
 * @param group 是否group属性
 */
export declare const findRef: (view: EditorView | editor.ITextModel, target: string, all?: boolean, group?: boolean) => Promise<Ranges>;
export declare const refHover: import("@codemirror/state").Extension[];
export {};
